Click or drag to resize

TextureMappingTryGetMappingBox Method

Get a box projection from the texture mapping.

Namespace:  Rhino.Render
Assembly:  RhinoCommon (in RhinoCommon.dll)
Syntax
public bool TryGetMappingBox(
	out Plane plane,
	out Interval dx,
	out Interval dy,
	out Interval dz
)

Parameters

plane
Type: Rhino.GeometryPlane
The center of the box is at plane.origin and the sides of the box are parallel to the plane's coordinate planes.
dx
Type: Rhino.GeometryInterval
The "front" and "back" sides of the box are in spanned by the vectors plane.yaxis and plane.zaxis. The back plane contains the point plane.PointAt(dx[0],0,0) and the front plane contains the point plane.PointAt(dx[1],0,0).
dy
Type: Rhino.GeometryInterval
The "left" and "right" sides of the box are in spanned by the vectors plane.zaxis and plane.xaxis. The left plane contains the point plane.PointAt(0,dx[0],0) and the back plane contains the point plane.PointAt(0,dy[1],0).
dz
Type: Rhino.GeometryInterval
The "top" and "bottom" sides of the box are in spanned by the vectors plane.xaxis and plane.yaxis. The bottom plane contains the point plane.PointAt(0,0,dz[0]) and the top plane contains the point plane.PointAt(0,0,dz[1]).

Return Value

Type: Boolean
Returns true if a valid box is returned.
Remarks
Generally, GetMappingBox will not return the same parameters passed to SetBoxMapping. However, the location of the box will be the same.
Version Information

Rhino for Mac

Supported in: 5.4

Rhino for Windows

Supported in: 6.5
See Also